/**
 * Copyright (c) 2011, Milad Jason Daivandy
 * All rights reserved.
 *
 * Licensed under the BSD, MIT, and GPL (your choice!) Licenses:
 * Depends on jquery.cookies.2.2.0.min.js
 */

function Enforcer() {
}

function Enforcer(javascriptDependentElementsIds, cookieDependentElementIds, cookieWarningElementId) {
	this.jsDependentElements = javascriptDependentElementsIds;
	this.cookieDependentElements = cookieDependentElementIds;
	this.cookieWarning = cookieWarningElementId;
}

Enforcer.prototype.setJavascriptDependentElementIds = function(elementIds) {
	this.jsDependentElements = elementIds;	
}

Enforcer.prototype.setCookieDependentElementIds = function(elementIds) {
	this.cookieDependentElements = elementIds;
}

Enforcer.prototype.setCookieWarningElementId = function(elementId) {
	this.cookieWarning = elementId;
} 

Enforcer.prototype.checkJavascriptCapability = function() {
  this.setElementsVisibilityStatus(this.jsDependentElements, 'visible');
}

Enforcer.prototype.checkCookieCapability = function() {
  if(jaaulde.utils.cookies.test()!=true) {  	
    document.getElementById(this.cookieWarning).style.visibility="visible";
    this.setElementsVisibilityStatus(this.cookieDependentElements, 'hidden');
  }
  
  else {
    document.getElementById(this.cookieWarning).style.visibility="hidden";			
    setElementsVisibilityStatus(this.cookieDependentElements, 'visible');
  }			
}

Enforcer.prototype.setElementsVisibilityStatus = function(elementIds, visibility) {	
  for(i=0; i< elementIds.length; i++) {
	var id = elementIds[i];	
	var element = document.getElementById(id);
	if(element!=null) {
	  element.style.visibility=visibility;
	}
  }
}


